@import "./normalize.min.css";
@import url('https://fonts.googleapis.com/css?family=Mansalva&display=swap');

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

body { 
  width: 100%;
  height: 100%;
  background: #222;
  font-family: 'Mansalva', sans-serif;
}

.catch {
}

.container {
  width: 1280px;
  height: 768px;
  background: #fff;
  position: relative; 
}

.scene {
  width: 100vw;
  height: 100vh;
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
}


@keyframes action {
  0% {
    transform: translateX(60px) scale(0.7);
  }
  
  15% {
    transform: translateX(220px) scale(0.82);
  }

  26% {
    transform: translateX(350px) scale(1.1);
  }

  37% {
    transform: translateX(480px) scale(1.1);
  }

  60% {
    transform: translateX(750px) scale(1.1);
  }

  65% {
    transform: translateX(820px) scale(0.9);
  }

  90% {
    transform: translateX(1070px)  scale(0.7) ;
    
  }

  100% {
    transform: translateX(60px) scale(0.7);
    z-index: 1;
  }
}

.block {
  box-sizing: border-box;
  background: #5A0DAc;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  font-size: 25px;  
  width: 150px;
  height: 300px;
  top: 30%;
  left: 1%;
  padding: 0 10px;
  position: absolute;
  z-index: 10;
  transform-origin: bottom;
  box-shadow: -2px 85px 51px -57px rgba(115,110,115,0.95);
  border-radius: 3px;
  animation: action 21s infinite linear;
  color: aliceblue;
  border: #222 solid 3px;
  border-radius: 15px;

}

.block__img {
  max-height: 170px;
}

.gnome {
  max-width: 80px;
}

.block--sneezy {
  animation-delay: 0s;
  
}

.block--happy {
  animation-delay: -3s;
  
}

.block--grumpy {
  animation-delay: -6s;
}

.block--dopey {
  animation-delay: -9s;

}

.block--doc {
  animation-delay: -12s;
}

.block--sleepy {
  animation-delay: -15s;
}

.block--bashful {
  animation-delay: -18s;
}

.catch:hover .block{
  animation-play-state: paused;
  cursor: pointer;
}
